Bug Hunting Session
Bug 35361 - [feature request: macOS] Support Apple Quick Look plugin
Summary: [feature request: macOS] Support Apple Quick Look plugin
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Mac OS X (All)
: high enhancement
Assignee: Not Assigned
URL: https://ask.libreoffice.org/en/questi...
Whiteboard:
Keywords:
: 36431 59553 81589 96754 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2011-03-16 09:36 UTC by Marc Grober
Modified: 2019-12-03 10:21 UTC (History)
26 users (show)

See Also:
Crash report or crash signature:


Attachments
output of qlmanage -m plugins (8.04 KB, text/plain)
2011-03-17 07:30 UTC, Marc Grober
Details
neopeek ql generator (61.66 KB, application/x-tar)
2011-03-22 06:26 UTC, Alex Thurgood
Details
The OOoQuickLookqlgenerator beta file posted by ericb here http://eric.bachard.free.fr/news/2008/03/quicklook-on-leopard.html (10.98 KB, application/x-gzip)
2011-03-22 08:39 UTC, Marc Grober
Details
Image of what an odt file looks like (25.30 KB, image/png)
2012-03-28 08:53 UTC, Marc Grober
Details
dump of qlmanage -m plugins (11.09 KB, text/plain)
2012-03-28 08:59 UTC, Marc Grober
Details
Files contained in OSX 10.6 /System/Library/QuickLook (46.78 KB, image/png)
2012-03-28 09:19 UTC, Marc Grober
Details
image of preview in 10.8 without any generator file (54.12 KB, image/jpeg)
2012-12-01 02:02 UTC, Marc Grober
Details
image of odt in quicklook (LO5.1 OSX 10.11) (43.20 KB, image/png)
2016-03-04 01:29 UTC, Marc Grober
Details
OpenDocument Text Preview: Working (283.99 KB, image/png)
2016-10-07 19:10 UTC, thechexican
Details
OpenDocument Template Preview: Not Working (191.72 KB, image/png)
2016-10-07 19:13 UTC, thechexican
Details
WordPerfect Document Preview: Not Working (159.30 KB, image/png)
2016-10-07 19:15 UTC, thechexican
Details
WordPerfect Template Preview: Working (349.79 KB, image/png)
2016-10-07 19:22 UTC, thechexican
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Grober 2011-03-16 09:36:50 UTC
I just noticed that the quicklook thumbnails and preview of LO 3.3.1
docs does not work in snow leopard (you get app icon instead of view of
doc.) Am not really sure whether this is consistent with OOo behavior,
but thumbnails do work for MSO files so is this related to the lack of a
plugin, misconfiguration or other issue? I did find this
http://user.services.openoffice.org/en/forum/viewtopic.php?f=17&t=22399
Comment 1 Yifan Jiang 2011-03-16 22:37:45 UTC
Would somebody using OSX have a look? Thanks!
Comment 2 Alex Thurgood 2011-03-17 00:08:14 UTC
Hi all,
I can not confirm on Mac OSX 10.6.6. If I press the space bar on any ODF document apart from a database document (which is a special case, so I didn't expect that to work), I get a preview of the contents of the file.


So this works for me.

Alex
Comment 3 Alex Thurgood 2011-03-17 00:08:52 UTC
setting NEEDINFO keyword
Comment 4 Alex Thurgood 2011-03-17 00:15:28 UTC
One thing it doesn't do, is enable you to flick through the pages of a multi-page ODF document, but then Quicklook doesn't let you do that with Word documents either (at least not on my system).


Alex
Comment 5 Marc Grober 2011-03-17 07:30:57 UTC
Created attachment 44548 [details]
output of qlmanage -m plugins

The /System/Library/QuickLook directory does not show the odt plugin, nor does it appear on an inquiry of the plugin db.
Comment 6 Marc Grober 2011-03-17 07:36:12 UTC
@Alex

This OSX 10.6.6 system had LO 3.3 installed after OOo had been installed and is currently running:

LibreOffice 3.3.1 
OOO330m19 (Build:8)
tag libreoffice-3.3.1.2

Neither icon view nor space bar from any other Finder view generates a thumbnail; one only gets the new LO standard doc icons, which changed with the LO install and upgrade.

restarting finder has not resolved the problem, not has qlmanage -r

Can you compare your qlmanage output and contents of your /System/Library/QUickLook directory?
Comment 7 Marc Grober 2011-03-17 07:48:55 UTC
(In reply to comment #6)
> @Alex
> 
> This OSX 10.6.6 system had LO 3.3 installed after OOo had been installed and is
> currently running:
> 
> LibreOffice 3.3.1 
> OOO330m19 (Build:8)
> tag libreoffice-3.3.1.2
> 
> Neither icon view nor space bar from any other Finder view generates a
> thumbnail; one only gets the new LO standard doc icons, which changed with the
> LO install and upgrade.
> 
> restarting finder has not resolved the problem, not has qlmanage -r
> 
> Can you compare your qlmanage output and contents of your
> /System/Library/QUickLook directory?

Or, maybe to be more accurate,  maybe it looks like the qlmanager is pointing to the MSO plugin, instead of two an LO plugin?  Where should the LO plugin be, and did the qlmanager resort to the MSO plugin because it couldn;t find the LO plugin?  Because this system originally had MSO installed, then OOo installed, then LO installed, I did have to manually change the default apps for all the various files types....   But,  if the plugin is on the system,  one shuld be able to reset....
Comment 8 Alex Thurgood 2011-03-17 08:19:29 UTC
Hi Marc,

By the looks of it, it works here on my system because I have NeoOffice installed:

qlmanage -m plugins | grep oasis
  org.oasis.opendocument.text-master -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis-open.opendocument.text -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis-open.opendocument.formula -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis.opendocument.graphics -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis-open.opendocument.graphics -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis.opendocument.formula -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis.opendocument.spreadsheet -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis-open.opendocument.spreadsheet -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis.opendocument.text -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis-open.opendocument.text-master -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis-open.opendocument.presentation -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
  org.oasis.opendocument.presentation -> /Applications/NeoOffice.app/Contents/Library/QuickLook/neopeek.qlgenerator (1.0.1)
Comment 9 Alex Thurgood 2011-03-17 08:21:30 UTC
So yes, if you only have LibO or OOo then apparently the plugin is not present...


Alex
Comment 10 Marc Grober 2011-03-17 09:17:08 UTC
@Alex - So,  the question is, does LO include a plugin, and if so, where is it? My guess here is that either there is no plugin, which is strange because as I note below I believe there is a plugin for OOo (or at least was one in some beta) or that it is hidden somewhere and that there is an installation problem vis-a-vis invoking qlmanager.

If there is no plugin, is it because of a problem in moving from OOo, or is OOo plugin-less (again see note about OOo below) as well. 

And, if the underlying issue is that neither OOo nor LO have a plugin,
then what needs to happen to resolve this issue,  supply a plugin, and roll it into LO.

I also noticed this in the NeoOffice wiki:
http://neowiki.neooffice.org/index.php/Snow_Leopard_Upgrade_Issues  which
suggests that SnowLeopard caused the NeoOffice plugin to fail with NeoOffice, 
though it apparently is working for you in LO-lol. The NeoOffice wiki has a stub for NeoPeek, but contains no info.

OOoforum has this thread: http://www.oooforum.org/forum/viewtopic.phtml?t=64452 which indicates OOo should have something, and perhaps more importantly, there is this from  Eric, who as I recall was heavily involved in the OOo
porting:  http://eric.bachard.free.fr/news/2008/03/quicklook-on-leopard.html 
which points to a beta quicklook plugin back in 2008. Is Eric involved with LO? I tested the beta file that Eric posted and it gives the doc shape, but fonts must be an issue because all you see are block forms instead of letters. I could find nothing more on the plugin since 2008.
Comment 11 Marc Grober 2011-03-17 09:40:52 UTC
@Alex, could you post the neopeek file here? I don't want to have to download all neooffice to just get the generator file to test.

Also I found an additional comment at openoffice which suggests that the OOo plugin was simply never rolled into the the product.
Comment 12 Alex Thurgood 2011-03-17 09:53:30 UTC
Hi Marc,
(In reply to comment #10)
> @Alex - So,  the question is, does LO include a plugin, and if so, where is it?
> My guess here is that either there is no plugin, which is strange because as I
> note below I believe there is a plugin for OOo (or at least was one in some
> beta) or that it is hidden somewhere and that there is an installation problem
> vis-a-vis invoking qlmanager.


I too, seem to recall that there was a ql plugin at one time for OOo, but I have no idea what happened to it.


> 
> And, if the underlying issue is that neither OOo nor LO have a plugin,
> then what needs to happen to resolve this issue,  supply a plugin, and roll it
> into LO.

I quickly checked through my git repo and couldn't find any thing in the LibO source code. I also guess that it is not around in the OOo source either, otherwise it probably would have found its way into the LibO source too (he says hopefully).


> 
> I also noticed this in the NeoOffice wiki:
> http://neowiki.neooffice.org/index.php/Snow_Leopard_Upgrade_Issues  which
> suggests that SnowLeopard caused the NeoOffice plugin to fail with NeoOffice, 
> though it apparently is working for you in LO-lol. The NeoOffice wiki has a
> stub for NeoPeek, but contains no info.

Hmm, well I might have to go and contradict that then ;-)


> 
> OOoforum has this thread: http://www.oooforum.org/forum/viewtopic.phtml?t=64452
> which indicates OOo should have something, and perhaps more importantly, there
> is this from  Eric, who as I recall was heavily involved in the OOo
> porting:  http://eric.bachard.free.fr/news/2008/03/quicklook-on-leopard.html 
> which points to a beta quicklook plugin back in 2008. Is Eric involved with LO?

No, if you mean Eric Bachard, he has stayed with OOo, but is also doing his own thing with EducOOo. There is a certain amount of past "history" between Eric B and other developers / members of LibOn (and NeoOffice for that matter), that led to this situation as so often occurs in free software development projects. Suffice it to say that I doubt at the present time he would be willing to help out directly, but obviously I can not speak in his stead, I am just basing my assumptions on his past and current exchanges on the various OOo lists of which I am still a member.

Yes, I guess the main problem is finding where the code is at the moment.


Alex
Comment 13 Marc Grober 2011-03-20 12:48:54 UTC
@Alex,

DOn;t know if you saw my note in the cross-traffic,  but as it is open code, could you post the NeoPeek glgenerator file here so I can compare its funtion with the beta that Ericb posted in 2008?

I do recall ll kinds of gnashing of teeth back then....  I had been promoting using OOo with OSX under X11 in public schools, and in the space of a few monhs (though it was likely more like a few years lol) there was conflict over NeoOffice and an Aqua version of OOo - reminded me of the split over phpgroupware - unfortunate when such schisms potentially dilute energies really needed to focus on one product. Now we have the same situation as the future of OOo hangs over LO's head, so to speak.  I switched because I had hoped that this was NOT going to be a fork.....  now I am not so sure ;-)
Comment 14 Alex Thurgood 2011-03-21 10:02:17 UTC
Hi Marc,

I can't upload neopeek.qlgenerator because it is an app bundle, and freedesktop refuses to take it. The bundle contains :

Contents (folder)
Info.plist
 |----->MacOS (folder)
   |------->neopeek (binary)
 |----->Resources (folder)
   |------->English.lproj (folder)
       |------------>InfoPlist.strings


I can try and post the binary (assuming freedesktop lets me), but its probably not much good to you without the rest.

Alex
Comment 15 Marc Grober 2011-03-21 10:16:10 UTC
@Alex,

As I understand quicklook, it is looking for a glgen file, so if NeoPeek is providing the service in some other fashion, how is it working, and how is it associated with the pertinent files.  It would seem that the OS would have to know when and how to invoke neopeek (assuming that neopeek is only invoked for files associated with it, then it wouldn't need to be passed that info.

So,  if NeoPeek is available under the appropriate license and it can be implemented for LO, that wold seem to be a first step to resolving the situation pending creation of LO glgen files,  though if neopeek is doing this in some other fashion, maybe the way it is functioning is to be preferred?

How big is the bundle? Shouldn't you be able to zip the app bundle to upload?
Comment 16 Alex Thurgood 2011-03-22 06:26:48 UTC
Created attachment 44711 [details]
neopeek ql generator

This was downloaded from :

http://trinity.neooffice.org/downloads/neopeek.qlgenerator.tgz


Alex
Comment 17 Alex Thurgood 2011-03-22 06:28:36 UTC
In the OOo code, the quicklookplugin01 CWS is/was supposed to be integrated into OOo version 3.4.


Alex
Comment 18 Marc Grober 2011-03-22 08:27:55 UTC
@Alex,
I compared the OOo beta and the neopeek file.  The OOo allows much more control over the thumbnail (it is zoomable) with the major issue being the lack of a font,while with the neopeek plugin I cannot zoom and cannot make out any text, so even if it does do fonts it can't be made out. IS that the same behavior you are seeing?  If so,  then the issue for us is the font usage.  Did you find where any work had been done on the plugin since 2008? There was a bit of a discontinuity in trying to track things (perhaps due to recent transition) but I could not find any recent QA on it at OOo.  If there is a note that it met QA for 3.4, there should be something more than the beta code that Eric published 3 years ago.
Comment 19 Marc Grober 2011-03-22 08:39:24 UTC
Created attachment 44714 [details]
The  OOoQuickLookqlgenerator beta file posted by ericb here http://eric.bachard.free.fr/news/2008/03/quicklook-on-leopard.html
Comment 20 Marc Grober 2011-03-22 08:54:26 UTC
@Alex,
Have you found an actual build of the file that is targeted for OOo3.4?
Comment 21 Alex Thurgood 2011-03-22 09:07:40 UTC
Hi Marc,

Yes I can confirm the behaviour of the Neopeek plugin. The preview remains thumbnail size and can not be expanded, even in full screen mode, so it is not possible to actually read what is in the file.


As for actual code, I've been looking hard, but still not found any...


Alex
Comment 22 Thorsten Behrens (CIB) 2011-03-25 09:24:02 UTC
FWIW, the code Eric is talking about is in this cws: http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fquicklookplugin01 - currently no time to look into this myself, if someone could play with that & vouch for it, I'd happily include it into 3.4 (warning, feature freeze date is coming Monday)
Comment 23 Marc Grober 2011-03-25 10:06:52 UTC
@tbehrens  Yes,  but where in all that is a built test file.
Comment 24 Björn Michaelsen 2011-12-23 11:50:14 UTC Comment hidden (obsolete)
Comment 25 Björn Michaelsen 2011-12-23 17:02:16 UTC Comment hidden (obsolete)
Comment 26 sasha.libreoffice 2012-03-28 02:35:10 UTC
Thanks for bugreport
Please, verify in last version of LibreOffice
Comment 27 Marc Grober 2012-03-28 08:51:52 UTC
ODTs in LO 3.5 on OSX 10.6 still do not appear correctly (format is there but font is not),  though ods files do. As I have tested on systems that have had previous installs of OOo or LO it is possible that this failure is an artifact, but if so,  it is an artifact that should be resolved through any installation.  To put the question back to others,  has anyone seen any resolution of this bug, and why would confirmation be required unless some change were made, and if so what cganges were made and where would we look to examine those changes?
Comment 28 Marc Grober 2012-03-28 08:53:49 UTC
Created attachment 59163 [details]
Image of what an odt file looks like

Using quick touch this is what I presently see viewing an odt file (ods files display correctly.)  Formatting is correct,  but the font is not.
Comment 29 Marc Grober 2012-03-28 08:59:05 UTC
Created attachment 59166 [details]
dump of qlmanage -m plugins

As you can see,  there is quite a bit of detritus here.  If 3.5 was supposed to resolve this bug - and the bug does not appear in new installations, then upgrading is not resolving issues from prior installs and arguably the install should address that or there should be a specific procedure identified for curing the problem.
Comment 30 Marc Grober 2012-03-28 09:13:43 UTC
An examining System->Library->Quicklook I find no qlgenerator for LO (what is presented will be filed as an additional image.)
Comment 31 Marc Grober 2012-03-28 09:19:53 UTC
Created attachment 59168 [details]
Files contained in OSX 10.6 /System/Library/QuickLook

Not sure if things have been moved about,  but here's the Library where I assume the generator should live,  if one was installed by LO 3.5,  and you will notice the presence of the old OOo generator from 2007 and the neopeek generator that is at least partially successful (provides formatted image without correct font for odt, but works for ods.)

I am happy to tweak whatever on instructions from whomever so as to test any solutions,  but I have yet to see anything for LO that purports to fix this.....
Comment 32 sasha.libreoffice 2012-03-28 23:37:06 UTC
Thanks for additional testing
Comment 33 Marc Grober 2012-03-29 08:34:46 UTC
Your welcome,  but why did anyone need additional testing if no appropriate file is included in the distro.  I guess I am confused as to what the status is here in that it was my understanding that the problem realy resulted from the absence of the necessary file. So,  am I mistaken, and if so what is the source of the problem, and if I am not mistaken, what are the issues with including a functioning qlgenerator file?
Comment 34 Florian Reisinger 2012-08-14 14:02:35 UTC Comment hidden (obsolete)
Comment 35 Florian Reisinger 2012-08-14 14:03:32 UTC Comment hidden (obsolete)
Comment 36 Florian Reisinger 2012-08-14 14:08:06 UTC Comment hidden (obsolete)
Comment 37 Florian Reisinger 2012-08-14 14:10:12 UTC Comment hidden (obsolete)
Comment 38 Marc Grober 2012-08-14 18:40:40 UTC Comment hidden (abusive)
Comment 39 sasha.libreoffice 2012-08-16 07:21:36 UTC
"Version" is most old version where bug is reproducible. Not current version.
Changing to 3.3.1 back
Comment 40 Marc Grober 2012-08-16 15:54:38 UTC Comment hidden (abusive)
Comment 41 Florian Reisinger 2012-08-16 16:12:33 UTC
PLEASE LEAVE IT AT THE OLDEST REPRODUCABLE VERSION - Thanks
Comment 42 Björn Michaelsen 2012-08-16 16:58:22 UTC
@Marc:
Seeing you boasting here:

http://nabble.documentfoundation.org/Excuse-me-but-your-opinion-is-simply-unimportant-Start-over-and-you-can-expect-more-of-the-same-tp4001269p4001858.html

that you knew you are creating extra work for the volunteers on the QA team with intend is really disgusting given the workload of this team.

Also note that the version is clearly documented to be _first_ version showing the bug:
http://wiki.documentfoundation.org/QA-FAQ

Even if it wasnt documented: If you take a moment to think about this, there is also no other way the version field can be used: If the bug is not present in the latest release the bug is closed anyway. If the bug is present in the latest release, the bug is open and and the only relevant information is: since when?

Please refain from continuing with abusive behaviour like the one you are boasting about. I dont think repeating such behaviour is going to be tolerated.
Comment 43 Marc Grober 2012-08-16 17:07:58 UTC Comment hidden (no-value)
Comment 44 Björn Michaelsen 2012-08-16 17:15:22 UTC
reopen, for obvious reasons.
Comment 45 reeves_28 2012-11-25 00:39:51 UTC
Neolight seems to fail to generate a preview for some .odt files but not others. I have examples of both if anyone was looking to fix it. As of at least 10.8 QuickLook can preview .odt files without a plugin. This built-in funtionallity works for all such files I have. I didn't test beyond this.
Comment 46 Marc Grober 2012-12-01 02:01:03 UTC
While I swore off participating here,  I was taken by the recent report by reeves_28.....
I recently moved to 10.8 and while QuickLook will pop an image (as it has since I noted in this report),  the image still does not employ a readable font.
Comment 47 Marc Grober 2012-12-01 02:02:31 UTC
Created attachment 70854 [details]
image of preview in 10.8 without any generator file
Comment 48 Christopher Schultz 2013-02-12 21:51:53 UTC
My experience (Mac OS X 10.8.2, LO 3.6.5.2) is that when I select a file in Finder, I get the generic (currently green) LibreOffice Calc icon in QL. If I press the space bar, I just get a bigger rendering of the same icon with an offer to open the file in LO.

$ qlmanage -m plugins | grep oasis
  org.oasis-open.opendocument.text -> /System/Library/QuickLook/Text.qlgenerator (555.4)

That looks like a Mac default (Text.qlgenerator) so nothing has been installed. I've never had NeoOffice or anything like that ever installed.

I'm coming late to the party: can I install NeoOffice's plug-in by itself? Or maybe OOo's? Or is there one (even if beta) available directly from the LO team? This isn't exactly killing me, but it would be nice to have QL working with LO.

Thanks!
Comment 49 Frantisek Erben 2013-02-12 22:10:42 UTC
Summary:
Apple support quicklook only .odt files (text files) - but it not support all features like Charts/Equations inserted in text files…
Apple NOT SUPPORT Draw (.odg), Calc (.ods), Equations (.odf) or templates. of all LO/OO files
LibreOffice.app bundle 3.6/4.0 DOES NOT CONTAIN QuickLookPlugin for OpenOffice formats.
Comment 50 Marc Grober 2013-02-19 18:41:39 UTC Comment hidden (abusive)
Comment 51 Thorsten Behrens (CIB) 2013-02-19 18:56:15 UTC
(In reply to comment #50)
> Seems that this means that the new LO term for broken is unenhanced and the
> likelihood of getting this functionality back continues to diminish ;-)
>
The term for "not yet implemented" is enhancement. if there is suitably licensed code, and you have time at your disposal, please do go ahead and hack it into shape, and attach it here. Everything else at this point is probably not too constructive. ;)
Comment 52 Adriano Borgobello 2013-05-21 20:19:54 UTC
QuickLook is a must on Mac OS X. Most filetype can be  viewed with quick look, and the absence of the open document qlgenerator is a real detuning.
http://developer.apple.com/library/mac/#documentation/UserExperience/Co
nceptual/Quicklook_Programming_Guide/Articles/QLProjectConfig.html
Comment 53 retired 2013-09-26 17:29:55 UTC
*** Bug 59553 has been marked as a duplicate of this bug. ***
Comment 54 nicolas.palix 2014-01-29 14:05:38 UTC
*** Bug 36431 has been marked as a duplicate of this bug. ***
Comment 55 vitto.giova 2014-06-15 12:18:44 UTC Comment hidden (me-too)
Comment 56 tommy27 2014-07-22 07:20:12 UTC
*** Bug 81589 has been marked as a duplicate of this bug. ***
Comment 57 Joel Madero 2014-11-04 03:09:42 UTC
REOPENED is not the correct status - setting to NEW.
Comment 58 Marc Grober 2014-12-27 18:18:39 UTC Comment hidden (no-value)
Comment 59 Alex Thurgood 2015-01-03 17:40:31 UTC Comment hidden (no-value)
Comment 60 steve -_- 2015-11-27 22:45:15 UTC
Apple added support for open document files. On 10.11.1 and latest LO nightly preview is working for calc and writer. Didn't test anything else.

The original bug was about quicklook support for 10.6. This will not happen, since LO now requires 10.8 minimum.

For me the latest LO + latest OS X has the requested functionality.

Thus WORKSFORME seems appropriate. Please file new bugs, if you don't like the current behavior, so we can start with a clean slate.
Comment 61 bubu 2016-03-03 22:41:24 UTC
QuickLook is still unsupported in LibreOffice, even on Mac OS X 10.11.
Comment 62 bubu 2016-03-03 22:42:12 UTC
QuickLook is still unsupported in LibreOffice, even on Mac OS X 10.11.3.
Comment 63 Joel Madero 2016-03-03 22:47:34 UTC
REOPENED is not the right status. Moving back to UNCONFIRMED for independent confirmation that it's still an issue.
Comment 64 Marc Grober 2016-03-04 01:29:40 UTC
Created attachment 123217 [details]
image of odt in quicklook (LO5.1 OSX 10.11)

Demonstration that the bug is still there
Comment 65 Marc Grober 2016-03-04 01:32:21 UTC
In sum, under LO5.1 under OSX 10.11 ods files appear properly in quicklook, while odts do not.  Nor have I yet to see any image suggesting that odts work properly under quicklook.

I would think that the uploaded image might serve as "independent corroboration"?
Comment 66 Frantisek Erben 2016-03-04 06:41:56 UTC
In LO bundle is only "OOoSpotlightImporter.mdimporter", I cannot find anything related to QuickLook (*.qlgenerator).

Problem is following:
So *.odt (text) files are handled by system "Office.qlgenerator" or "Text.qlgenerator" (located at /System/Library/QuickLook/).

Other LO file types as *.ods (spreadsheet), *.odp (presentation), *.odg (draw) hasn't their QuickLook plugin.
Comment 67 thechexican 2016-10-07 19:10:32 UTC
Created attachment 127867 [details]
OpenDocument Text Preview: Working
Comment 68 thechexican 2016-10-07 19:13:38 UTC
Created attachment 127868 [details]
OpenDocument Template Preview: Not Working
Comment 69 thechexican 2016-10-07 19:15:59 UTC
Created attachment 127869 [details]
WordPerfect Document Preview: Not Working
Comment 70 thechexican 2016-10-07 19:22:51 UTC
Created attachment 127870 [details]
WordPerfect Template Preview: Working

Per other 3 attachment uploads, Quicklook generators in LibreOffice 5.1.4.2 on MacOS (Sierra) do not reliably render previews. OpenDocument text files preview, templates do not. Meanwhile, WordPerfect templates render, but WordPerfect documents do not.
Comment 71 eisa01 2017-11-10 20:07:39 UTC
*** Bug 96754 has been marked as a duplicate of this bug. ***
Comment 72 steve -_- 2018-12-18 12:21:59 UTC
After discussion in IRC QA chan, meeks and x1sc0 concluded there's budget for 2019 to look into macOS specific wishlist items and this would be a good candidate. Said to assign Tor, so doing that. This would be a really important addition to LO on macOS as it is one of the very few apps not supporting QuickLook.
Comment 73 steve -_- 2018-12-18 12:28:30 UTC
Adding IRC conversation as per request from x1sc0:

steve: do you happen to know if there are any plans to address the missing quicklook feature on macOS? #35361. it’s one of the more popular requests for macOS and a very basic functionality. it’s well documented and almost all apps that handle files do support it, so LO sticks out in a bad way in that regard
x1sc0: no idea, maybe tor is up for it
steve: sorry for being annoying about quicklook, but is that something to be brought up in ESC call? or is there any way to bring this feature request to devs attention?
x1sc0: well, it could be brought, but being honest, it’s a request from 2011-03-16, it seems more like a pet bug. any specific reason why I should bring it now, after all these years ?
steve: o specific reason to bring it up now. but doesn’t change that I feel it should have been fixed 2010 actually or whenever quicklook was first introduced. it’s just very inconvenient and uncommon to not see a files content when browsing files in finder (macOS file browser). so LibreOffice sticks out like a bad fish because I have to think really hard to think of another app not supporting quicklook. no specific argument to bring it up now, but still strong feeling it should be addressed and the fact that it has not been addressed for 7 years makes me worried.
x1sc0: what about sending a nice email to the board or the dev list explaining why it should be implemented and suggesting it as tender ?
steve: x1sc0 I can do that maybe around the holiday season when I have more time. I will ping regarding who to address then.
x1sc0: mmeeks, do you think my suggestion to steve-_- makes sense ?
mmeeks: x1sc0, steve-_- so - yes, please do assign that to Tor - we have some budget to look into OSX features in the new year - and (I think) this was one that is on our radar.
Comment 74 Xisco Faulí 2019-06-10 14:56:48 UTC
Dear Tor Lillqvist,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 75 Xisco Faulí 2019-12-03 10:21:34 UTC
Changing priority to 'high' since the number of duplicates is higher than 5 or the number of people in CC higher than 20